<!--
  Generated template for the FormIsiObatPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
    <ion-navbar>
      <button ion-button menuToggle>
        <ion-icon style="color:white" name="menu"></ion-icon>
      </button>
      <ion-title style="color:white">Form Isi Obat</ion-title>
    </ion-navbar>
  </ion-header>
  
  <ion-content padding style="background-color: #f7f69e; padding-bottom:0;">
    <form [formGroup]="obatForm" (ngSubmit)="onSubmit()">

        <ion-list style="margin-top:10px; margin-bottom:10px">
            <ion-label>Nama Obat</ion-label>
            <ion-item style=" border:1px solid #c0c0c0">
              <ion-select (ionChange)="onSelectChange($event)" style="display:block; max-width:100%; background:#ffffff;" formControlName="name">
                  <ion-option [value]="d.id" *ngFor="let d of medicinesData">{{d.name}}</ion-option>
              </ion-select>
            </ion-item>
         </ion-list>

        <ion-label fixed style="margin-bottom:0;">Dosis</ion-label>
        <ion-textarea type="text" style="background-color:white;  border:1px solid #c0c0c0" rows="3" formControlName="doses"> </ion-textarea>
        
        <ion-label fixed style="margin-bottom:0;">Kuantitas </ion-label>
        <ion-input type="number" style="background-color:white;  border:1px solid #c0c0c0" formControlName="quantity"> </ion-input>

        <ion-label fixed style="margin-bottom:0;">Keterangan</ion-label>
        <ion-textarea type="text" style="background-color:white; border:1px solid #c0c0c0" formControlName="description" rows="4"> </ion-textarea>


        <button type="submit"
        block [disabled]="!obatForm.valid"
        style=" font-size:32px; height:50px; width:100%; color: #ffffff; background-color: #38e09f; margin-top:1em; margin-right:0" >
        Daftarkan
      </button>
    </form>
</ion-content>
